Loading...
Searching...
No Matches
XrdCl::ProtocolInfo Class Reference

Protocol response. More...

`#include <XrdClXRootDResponses.hh>`

Collaboration diagram for XrdCl::ProtocolInfo:

## Public Types

enum | HostTypes { IsManager = kXR_isManager , IsServer = kXR_isServer , AttrCache = kXR_attrCache , AttrMeta = kXR_attrMeta , AttrProxy = kXR_attrProxy , AttrSuper = kXR_attrSuper }
| Types of XRootD servers. More...

## Public Member Functions

| ProtocolInfo (uint32_t version, uint32_t hostInfo)
| Constructor.
uint32_t | GetHostInfo () const
| Get host info.
uint32_t | GetVersion () const
| Get version info.
bool | TestHostInfo (uint32_t flags)
| Test host info flags.

## Detailed Description

Protocol response.

Definition at line 341 of file XrdClXRootDResponses.hh.

## Member Enumeration Documentation

## HostTypes

enum XrdCl::ProtocolInfo::HostTypes

Types of XRootD servers.

Enumerator
IsManager | Manager.
IsServer | Data server.
AttrCache | Cache attribute.
AttrMeta | Meta attribute.
AttrProxy | Proxy attribute.
AttrSuper | Supervisor attribute.

Definition at line 347 of file XrdClXRootDResponses.hh.

{
IsManager = kXR_isManager,
IsServer = kXR_isServer,
AttrCache = kXR_attrCache,
AttrMeta = kXR_attrMeta,
AttrProxy = kXR_attrProxy,
AttrSuper = kXR_attrSuper
};
kXR_isManager
#define kXR_isManager
Definition XProtocol.hh:1156
kXR_attrMeta
#define kXR_attrMeta
Definition XProtocol.hh:1159
kXR_attrSuper
#define kXR_attrSuper
Definition XProtocol.hh:1161
kXR_isServer
#define kXR_isServer
Definition XProtocol.hh:1157
kXR_attrCache
#define kXR_attrCache
Definition XProtocol.hh:1158
kXR_attrProxy
#define kXR_attrProxy
Definition XProtocol.hh:1160
XrdCl::ProtocolInfo::AttrProxy
@ AttrProxy
Proxy attribute.
Definition XrdClXRootDResponses.hh:353
XrdCl::ProtocolInfo::AttrMeta
@ AttrMeta
Meta attribute.
Definition XrdClXRootDResponses.hh:352
XrdCl::ProtocolInfo::IsManager
@ IsManager
Manager.
Definition XrdClXRootDResponses.hh:349
XrdCl::ProtocolInfo::AttrSuper
@ AttrSuper
Supervisor attribute.
Definition XrdClXRootDResponses.hh:354
XrdCl::ProtocolInfo::IsServer
@ IsServer
Data server.
Definition XrdClXRootDResponses.hh:350
XrdCl::ProtocolInfo::AttrCache
@ AttrCache
Cache attribute.
Definition XrdClXRootDResponses.hh:351

## Constructor & Destructor Documentation

## ProtocolInfo()

XrdCl::ProtocolInfo::ProtocolInfo | ( | uint32_t | version,
|  | uint32_t | hostInfo )

inline

Constructor.

Definition at line 360 of file XrdClXRootDResponses.hh.

:
pVersion( version ), pHostInfo( hostInfo ) {}

## Member Function Documentation

## GetHostInfo()

uint32_t XrdCl::ProtocolInfo::GetHostInfo | ( |  | ) | const

inline

Get host info.

Definition at line 374 of file XrdClXRootDResponses.hh.

{
return pHostInfo;
}

## GetVersion()

uint32_t XrdCl::ProtocolInfo::GetVersion | ( |  | ) | const

inline

Get version info.

Definition at line 366 of file XrdClXRootDResponses.hh.

{
return pVersion;
}

## TestHostInfo()

bool XrdCl::ProtocolInfo::TestHostInfo | ( | uint32_t | flags | ) |

inline

Test host info flags.

Definition at line 382 of file XrdClXRootDResponses.hh.

{
return pHostInfo & flags;
}

The documentation for this class was generated from the following file:

- XrdClXRootDResponses.hh